%define rname mysql
%define name ruby-%{rname}
%define version 2.8
%define release %mkrel 2

Summary: Ruby bindings for libmysql
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.tmtm.org/en/mysql/ruby/
Source0: http://tmtm.org/downloads/mysql/ruby/%{rname}-ruby-%{version}.tar.gz
License: Ruby
Group: Development/Ruby
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.6.8
BuildRequires: ruby-devel mysql-devel

%description
This is the MySQL API module for Ruby.
It provides the same functions for Ruby programs that the MySQL C API
provides for C programs.

%prep
%setup -q -n %{rname}-ruby-%{version}

%build
ruby extconf.rb --with-mysql-config
make
sed -i 's|/usr/local/bin|/usr/bin|' test.rb
chmod 0755 test.rb

%install
rm -rf %buildroot
env DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_sitearchdir}/*.so
%doc COPYING COPYING.ja README.html README_ja.html test.rb


%changelog
* Thu Jan 01 2009 Funda Wang <fundawang@mandriva.org> 2.8-2mdv2009.1
+ Revision: 323120
- update license

* Thu Jan 01 2009 Funda Wang <fundawang@mandriva.org> 2.8-1mdv2009.1
+ Revision: 323080
- New version 2.8

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.7.6-2mdv2009.1
+ Revision: 311343
- rebuilt against mysql-5.1.30 libs

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.7.6-1mdv2009.0
+ Revision: 280667
- New Release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.7.1-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 2.7.1-2mdv2008.0
+ Revision: 16895
- Use Development/Ruby group
- Use std macros


* Sat Jun 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.7.1-1mdv2007.0
- New release 2.7.1
- Add URL in Source

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7-2mdk
- rebuilt against MySQL-5.0.15

* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 2.7-1mdk
* Tue Aug 02 2005 Pascal Terjan <pterjan@mandrake.org> 2.6.3-1mdk
- 2.6.3

* Tue Apr 26 2005 Pascal Terjan <pterjan@mandrake.org> 2.6-1mdk
- 2.6.1

* Fri Apr 01 2005 Pascal Terjan <pterjan@mandrake.org> 2.5-3mdk
- lib64 fix

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5-2mdk
- rebuilt against new mysql libs

* Wed Sep 08 2004 Pascal Terjan <pterjan@mandrake.org> 2.5-1mdk 
- first mdk release

